Skip to content

Return distinct tag suggestions for one resource family.

POST
/api/workspace/tags/resource-suggestions
curl --request POST \
--url https://example.com/api/workspace/tags/resource-suggestions \
--header 'Content-Type: application/json' \
--data '{ "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example" }'
  • None
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Request payload to list distinct tag suggestions for one resource family.

object
ModuleKey

Resource module key.

string
nullable
ResourceKind

Resource kind inside the module.

string
nullable
ContextResourceId

Resource context id, such as an entity definition id, board id, entitlement plan id, or workspace.

string
nullable
Examplegenerated
{
"ModuleKey": "example",
"ResourceKind": "example",
"ContextResourceId": "example"
}

OK

Media typeapplication/json
object
Data
Array<object>
nullable

Tag details.

object
Id

Tag identifier.

string
nullable
Owner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
TagName

Tag name.

string
nullable
Color

Optional color value.

string
nullable
Category

Optional category.

string
nullable
CreatedAt

Creation timestamp.

string format: date-time
CreatedByUserId

Creator user identifier.

string
nullable
CreatedByUserName

Creator display name.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data
Array<object>
nullable

Tag details.

object
Id

Tag identifier.

string
nullable
Owner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
TagName

Tag name.

string
nullable
Color

Optional color value.

string
nullable
Category

Optional category.

string
nullable
CreatedAt

Creation timestamp.

string format: date-time
CreatedByUserId

Creator user identifier.

string
nullable
CreatedByUserName

Creator display name.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}